Section
Overview Authentication Resources Calendar Calendar - GET List available dates Calendar - GET List slots for a date Calendar - POST Create a booking Calendar - GET Get available hours Calendar - PUT Set available hours Calendar - GET List appointments Calendar - POST Create appointment or block Calendar - GET ICS calendar feed Calendar - GET Get appointment Calendar - GET ICS for one appointment Calendar - PATCH Update appointment Calendar - POST Cancel appointment Calendar - GET List booking widgets Calendar - GET Get booking widget Contacts Contacts - GET List contacts Contacts - POST Create contact Contacts - GET Get contact Contacts - PATCH Update contact Contacts - DELETE Delete contact Contacts - POST Restore contact Contacts - PUT Replace contact tags Messages Messages - GET List messages Messages - GET Get message Messages - POST Mark message read Messages - POST Add contact note Paths Paths - GET List paths Paths - POST Create path Paths - GET Get path Paths - PATCH Update path draft Paths - DELETE Delete path Paths - POST Publish path Paths - GET Path publish history Paths - POST Restore path version Fields Fields - GET List fields Fields - POST Create field Fields - PATCH Update field Fields - DELETE Archive field Analytics Analytics - GET Path Analytics report Voice AI Voice AI - GET List Voice AI agents Voice AI - GET Get Voice AI agent Voice AI - GET List Voice AI calls Voice AI - POST Create Voice AI call Voice AI - GET Get Voice AI call Voice AI - POST Cancel Voice AI call Voice AI - GET Get Voice AI wallet Team Team - GET List team members Team - PATCH Change team member role Team - DELETE Remove team member Team - GET List invites Team - POST Invite a team member Settings Settings - GET Get settings Settings - PATCH Patch settings Errors
ICS calendar feed GET /api/v2/appointments/ics - Download appointments and/or blocks as a text/calendar (.ics) file for the given date range. Use this to share or import into Google Calendar, Outlook, Apple Calendar, etc.
GET /api/v2/appointments/ics
Download appointments and/or blocks as a text/calendar (.ics) file for the given date range. Use this to share or import into Google Calendar, Outlook, Apple Calendar, etc.
Required scope: appointments (or *).
Query parameters
Name Required Description fromYes Range start (YYYY-MM-DD or datetime) toYes Range end (YYYY-MM-DD or datetime) agent_uuidNo Filter by assigned agent appointment_typeNo appointment or blocknameNo Calendar display name (X-WR-CALNAME)
Example request
curl -s -H "Authorization: Bearer YOUR_TOKEN" \
"https://benefitpath.com/api/v2/appointments/ics?from=2026-07-01&to=2026-07-31&appointment_type=block"
Example response
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Benefit Path//Partner API//EN
...
END:VCALENDAR